Table of Contents

Class: Widget | Twisted-0.17.4/twisted/web/widgets.py
--- | ---

A component of a web page.

Methods |
--- | ---
display getTitle
| display

    display ( self,  request )

### Implement me to represent your widget.

I must return a list of strings and twisted.python.defer.Deferred instances.

Exceptions |
--- | ---
NotImplementedError("%s.display" % str( self.__class__ ) )

| getTitle

    getTitle ( self,  request )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:53 2002 by HappyDoc version 2.0